org.richfaces.renderkit

## Class MessageRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.MessageRendererBase

- Direct Known Subclasses:
    HtmlMessageRenderer, HtmlMessagesRenderer, NotifyMessageRendererBase

      public class MessageRendererBase
      extends RendererBase

  Author:
    asmirnov@exadel.com

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `encodeMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object msg)`
    `protected void` | `encodeScript(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected String` | `getJSClassName()`
    `protected javax.faces.application.FacesMessage.Severity` | `getLevel(javax.faces.component.UIComponent component)`
    `protected Iterator<MessageForRender>` | `getMessages(javax.faces.context.FacesContext context, String forClientId, javax.faces.component.UIComponent component)`
    `protected String` | `getMsgClass(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object msg)`
    `protected String` | `getMsgStyle(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object msg)`
    `protected Iterable<MessageForRender>` | `getVisibleMessages(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` TODO - make Generator aware of Iterator.
    `protected boolean` | `isComponentMessage(javax.faces.component.UIComponent component)`
    `protected boolean` | `isComponentMessages(javax.faces.component.UIComponent component)`
    `protected boolean` | `isComponentRichMessage(javax.faces.component.UIComponent component)`
    `protected boolean` | `isComponentRichMessages(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageRendererBase

          public MessageRendererBase()

  - ### Method Detail

    - #### getMessages

          protected Iterator<MessageForRender> getMessages(javax.faces.context.FacesContext context,
                                               String forClientId,
                                               javax.faces.component.UIComponent component)

    - #### getVisibleMessages

          protected Iterable<MessageForRender> getVisibleMessages(javax.faces.context.FacesContext context,
                                                      javax.faces.component.UIComponent component)

      TODO - make Generator aware of Iterator.

      Parameters:
        `context` -
        `component` -

    - #### getLevel

          protected javax.faces.application.FacesMessage.Severity getLevel(javax.faces.component.UIComponent component)

    - #### isComponentMessage

          protected boolean isComponentMessage(javax.faces.component.UIComponent component)

    - #### isComponentRichMessage

          protected boolean isComponentRichMessage(javax.faces.component.UIComponent component)

    - #### isComponentMessages

          protected boolean isComponentMessages(javax.faces.component.UIComponent component)

    - #### isComponentRichMessages

          protected boolean isComponentRichMessages(javax.faces.component.UIComponent component)

    - #### encodeMessage

          protected void encodeMessage(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIComponent component,
                           Object msg)
                                throws IOException

      Throws:
        `IOException`

    - #### getJSClassName

          protected String getJSClassName()

    - #### encodeScript

          protected void encodeScript(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                               throws IOException

      Throws:
        `IOException`

    - #### getMsgClass

          protected String getMsgClass(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIComponent component,
                           Object msg)
                                throws IOException

      Throws:
        `IOException`

    - #### getMsgStyle

          protected String getMsgStyle(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIComponent component,
                           Object msg)
                                throws IOException

      Throws:
        `IOException`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.